import { useState as m, useRef as u, useEffect as a, useMemo as f } from "react";
import { deepEqual as n } from "fast-equals";
import { ColumnImageFormatter as s } from "./formatter.js";
import { ColumnImageGroupFormatter as c } from "./ColumnImageGroupFormatter.js";
const I = (e) => {
  const [t, o] = m(e), r = u({ ...e });
  return a(() => {
    n(r.current, e) || (r.current = e, o(e));
  }, [e]), f(
    () => ({
      formatter: s(t),
      renderGroupCell: c(t)
    }),
    [t]
  );
};
export {
  I as useColumnImage
};
